aboutsummaryrefslogtreecommitdiffstats
path: root/testing/json-c/APKBUILD
diff options
context:
space:
mode:
authorprymeroot <pryme@gmx.com>2013-06-29 09:54:59 +0200
committerprymeroot <pryme@gmx.com>2013-06-29 09:54:59 +0200
commit9a58136e1054ede63b54cf7165054ce875076a16 (patch)
tree47780cfdab2f1d06ac327423d43312a997071078 /testing/json-c/APKBUILD
parent60a6fe638f4fb0d19863d702d0443c867a700909 (diff)
downloadaports-9a58136e1054ede63b54cf7165054ce875076a16.tar.gz
aports-9a58136e1054ede63b54cf7165054ce875076a16.tar.bz2
aports-9a58136e1054ede63b54cf7165054ce875076a16.tar.xz
testing/json-c: upgrade to 0.11
Diffstat (limited to 'testing/json-c/APKBUILD')
-rw-r--r--testing/json-c/APKBUILD32
1 files changed, 16 insertions, 16 deletions
diff --git a/testing/json-c/APKBUILD b/testing/json-c/APKBUILD
index fa2ede3bf6..6950479024 100644
--- a/testing/json-c/APKBUILD
+++ b/testing/json-c/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=json-c
-pkgver=0.10
+pkgver=0.11
pkgrel=0
pkgdesc="A JSON implementation in C"
url="https://github.com/json-c/json-c/wiki"
@@ -11,18 +11,18 @@ depends_dev=""
makedepends="$depends_dev"
install=""
subpackages="$pkgname-dev"
-source="https://github.com/downloads/json-c/json-c/json-c-$pkgver.tar.gz"
+source="https://s3.amazonaws.com/${pkgname}_releases/releases/$pkgname-${pkgver}.tar.gz"
_builddir="$srcdir"/json-c-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+#prepare() {
+# local i
+# cd "$_builddir"
+# for i in $source; do
+# case $i in
+# *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+# esac
+# done
+#}
build() {
cd "$_builddir"
@@ -33,8 +33,8 @@ build() {
--localstatedir=/var \
--disable-static \
--enable-shared \
- || return 1
- make || return 1
+ || return 1
+ make -j1 || return 1
}
package() {
@@ -43,6 +43,6 @@ package() {
rm -f "$pkgdir"/usr/lib/*.la
}
-md5sums="a4edc79410eb894f08d7d52ca9f88732 json-c-0.10.tar.gz"
-sha256sums="274fc9d47c1911fad9caab4db117e4be5d6b68c4547eab0c508d79c4768e170c json-c-0.10.tar.gz"
-sha512sums="d254eb223ebfb05e828bf039efb280f5e83b9f59116fba3af2892cf1f7732d152f7d0e2d8b77ec32e175b168022c2342f954e97f867c438b349f36b4dfdbd746 json-c-0.10.tar.gz"
+md5sums="aa02367d2f7a830bf1e3376f77881e98 json-c-0.11.tar.gz"
+sha256sums="28dfc65145dc0d4df1dfe7701ac173c4e5f9347176c8983edbfac9149494448c json-c-0.11.tar.gz"
+sha512sums="65ab563fe908d585ba05fff3b77283050ec4f94114ff6e4b916557013d75498271cf65b2660a0aaf74b23beaa80385c80d37ab6a700ba967dd859fa779a81cb0 json-c-0.11.tar.gz"